Subject: Re: Promoting extras

From: "Robert H. Ford II" <[email-masked]>
Date: Mon, 01 Mar 1999 11:50:18 -0600

Steve Robbins wrote:
> 
> Hello,
> 
> The "extras"  directory was, historically, a place to dump modules that
> didn't configure or build with ease.  The extras now all -- in principle
> -- configure and build with ease.  Now that we're back in "big change"
> mode, I'd like to propose erasing the distinction between TRUE modules and
> SECOND-CLASS "extra" modules.
> 
> In other words: let's change the "extras" into "modules", and get rid of
> the --enable-extras configure switch.
> 
> During the reorganisation, we might also drop old and obsolete code.  My
> proposal for promoting or droping the extras is as follows:
> 
> * Promote the following to modules: FvwmCommand, FvwmConsole, FvwmDebug,
>   FvwmScript, and FvwmTaskBar.
> 
> * Drop FvwmConfig because the author's documentation says it is
>   "braindead" and he "discourages its use".
> 
> * Drop FvwmGoodStuff: obsoleted by FvwmButtons.
> 
> * Drop FvwmPipe: similar functionality is obtained using FvwmCommand.
> 
> * Possibly drop FvwmWharf: the README included suggests it is not at all
>   stable, and it hasn't been maintained for a while.  I lean towards
>   dropping it.

No, don't get rid of FvwmWharf.  I prefer this to FvwmButtons.  When I get some
time I would like to update this module with the latest changes from AfterStep's
version.  Once this is done and if it is stable, I would be willing to maintain
it.

Please don't get rid of it though!!

-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: [email-masked]
Date: Mon, 1 Mar 1999 13:04:08 -0500 (EST)

> version.  Once this is done and if it is stable, I would be willing to maintain

What does FvwmWharf do that cannot be done with FvwmButtons?  Does it
use a less complicated syntax?  Can it do something that cannot be
easily done with FvwmButtons?  I'm simply asking this out of ignorance.

If one is a superset of the other, why not have a "SuperButtons" module
that can be made to work like FvwmWharf or FvwmButtons?  I don't think
that allowing the two to diverge even further is good for either of
them.

Of course, that's just my opinion.  I could be wrong...

-- 
Larry Gensch					      [email-masked]

       "I suggest a new strategy, R2:  Let the Wookiee win." -- C-3PO

---

From: Steve Robbins <[email-masked]>
Date: Mon, 1 Mar 1999 20:06:19 -0500 (EST)

> Please don't get rid of it though!!

OK!  I will not get rid of FvwmWharf.  It would be great if someone would
actively care for it!  

--
Steve Robbins                              <[email-masked]>

If mashed potatoes were security guards, they wouldn't get much done.